Skip to main content
GET
/
v6
/
categories
/
{id}
Get category
curl --request GET \
  --url https://sandbox.tight.com/v6/categories/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.tight.com/v6/categories/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.tight.com/v6/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "gla_167243195",
    "name": "Wages",
    "status": "ACTIVE",
    "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
    "children": [
      {
        "id": "gla_167243196",
        "name": "Officer(s) Salaries and Wages",
        "status": "ACTIVE",
        "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg",
        "customData": {
          "internal_key": "some_internal_key",
          "some_other_field": 23434
        }
      }
    ],
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the category

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

Revenue categories